#include "articleitem.h"
#include <qpixmap.h>
#include <qtextstream.h>
#include "wwwserver.h"
#include "resources/new.xpm"

CArticleItem::CArticleItem(CCategoryItem *parent, const QString &text, const QString &link, QString &time, int id, int top)
  : CGenericItem(parent, text), strLink(link), strTimestamp(time), nID(id), nTopCategory(top)

{
  setNew(true);
}

void CArticleItem::setNew(bool set)
{ 
  QListViewItem *parentItem = parent();
  bool bSetTop;

  bNew = set;
 if(set) {
   setPixmap(0, QPixmap(new_xpm));
   parentItem->setPixmap(0, QPixmap(new_xpm));
 }
  else {
    setPixmap(0, QPixmap(NULL));

    bSetTop = false;
    for(CArticleItem *item = (CArticleItem *)parentItem->firstChild(); item; item = (CArticleItem *)item->nextSibling())
      if(item->isNew())
	bSetTop = true;
    if(bSetTop)
      parentItem->setPixmap(0, QPixmap(new_xpm));
    else
      parentItem->setPixmap(0, QPixmap(NULL));
  }
}

//
// This is used by the QListView for sorting
//
QString CArticleItem::key(int, bool) const
{
  return strTimestamp;
}


//
//  Write self to TextStream t
//
void CArticleItem::writeArticle(QTextStream &t)
{
  t << "<headline>" << endl;
  t << "\t<category>0</category>" << endl;
  t << "\t<link>" << strLink << "</link>" << endl;
  t << "\t<title>" << text(0) << "</title>" << endl;
  t << "\t<id>" << nID << "</id>" << endl;
  t << "\t<timestamp>" << strTimestamp << "</timestamp>" << endl;
  t << "\t<topcategory>" << nTopCategory << "</topcategory>" << endl;
  t << "\t<newflag>" << (bNew?1:0) << "</newflag>" << endl;
  t << "</headline>" << endl;
}

void CArticleItem::doSelectedStuff(CWWWServer *www)
{
  setNew(false);
  // XXX Check cache for item
  QString arg;
  arg.sprintf("what=%d&item=%d", nTopCategory, nID);
  www->queueRequest(CWWWRequest::R_FETCHABSTRACT, arg);
  
}

void CArticleItem::doDoubleClickedStuff()
{
  CPager::SurfItUp(strLink, true);
}


