#ifndef CATEGORYITEM_H
#define CATEGORYITEM_H

#include <qlistview.h>
#include <qstring.h>
#include <iostream>
#include "genericitem.h"
class QTextStream;
class CWWWServer;
class QString;

class CCategoryItem : public CGenericItem
{
public:
  CCategoryItem::CCategoryItem(QListViewItem *parent, const QString &text,
			       int idTop = 0, int idNode = 0 ,  int idParent = 0,
			       bool checkable = false);
  CCategoryItem::CCategoryItem(QListView *parent, const QString &text,
			       int idTop = 0, int idNode = 0, int idParent = 0,
			       bool checkable = false);

  int getTopLevel() const { return nTopLevel; }
  int getNodeID() const { return nNodeID; }
  int getParentID() const { return nParentID; }
  CCategoryItem *getItemForID(int nID);
  bool getChecked() { return bChecked; };
  bool isSelected() { return bChecked; };

  void setChecked(bool set);
  void setRecursiveChecked(bool set);
  bool anyChildrenSelected();
  QString getQueryString();
  bool saveChildren(QTextStream &t);
  void writeSelf(QTextStream &t);

protected:
  virtual void doSelectedStuff(CWWWServer *) { }
  virtual void doDoubleClickedStuff() { }
  void activate();
  QString strDescription;
  int nTopLevel;
  int nNodeID;
  int nParentID;
  bool bChecked;
  bool bCheckable;
};

#endif // CATEGORYITEM_H
