#ifndef CATEGORYTREE_H
#define CATEGORYTREE_H

#include <qvbox.h>
#include <qlistview.h>
class CCategoryItem;
class QLabel;

class CCategoryTree : public QListView
{
  Q_OBJECT
public:
  CCategoryTree(QWidget *parent = 0, const char *name = 0);
  void setActiveTopLevel(QListView *pContent);
  bool loadCategories(const QString &strFilename);
  bool saveCategories(const QString &strFilename);
  QString getContentQuery(int nItems);
protected:
  bool ParseLineFromFile(const QString strLine);
  bool AddToCategories(QString strDescription, int nTopLevelID, int nNodeID, int nParentID, bool bSelected);
  CCategoryItem *GetItemForID(int nNodeID, int nTopLevel);

protected:
  int m_nVersion;
  int m_nEntries;

public slots:
    void slotLoadCategories();
signals:
 void categoriesLoaded();

};

#endif
