#include "config.h"
#include "categorytree.h"
#include "netinventory.h"
#include <qmessagebox.h>
#include <iostream.h>
CConfig::CConfig(CWWWServer *www, QWidget *parent, const char *name)
  : QTabDialog(parent, name, true)
{
  m_pCategories = new CCategoryTree(0, "tree");

  addTab(m_pCategories, "&Categories");
  addTab(m_pOptions = new COptions(0, "options"), "&Options");
  addTab(m_pInventory = new CNetInventory(www, this, 0, "netinventory"), "&Network Inventory");
  addTab(m_pInventoryOptions = new CInventoryOptions(0, "netoptions"), "&Inventory Options");
  current = NULL;
  QObject::connect(this, SIGNAL(selected(const QString &)), SLOT(slotNewTab(const QString &)));
}

void CConfig::accept()
{
  if(current == m_pInventoryOptions && verifyEmail() == false)
    return;
  QDialog::accept();

}

bool CConfig::verifyEmail()
{
   
 if(getBriefNotify() && getBriefEmail().isEmpty()) {
   showPage(m_pInventoryOptions);
   QMessageBox::warning(this, "Required Information Missing", "You must specify an email recipient for notification (brief)\n"
			"or deselect the option");
   return false;
 }

 if(getVerboseNotify() && getVerboseEmail().isEmpty()){
   showPage(m_pInventoryOptions);
   QMessageBox::warning(this, "Required Information Missing", "You must specify an email recipient for notification (verbose)\n"
			"or deselect the option");
   return false;
 }

 return true;
}

void CConfig::slotNewTab(const QString &)
{
  if(current == m_pInventoryOptions && currentPage() != m_pInventoryOptions) 
    if(verifyEmail() == false)
      return;

 current = currentPage();
}
