#ifndef INCLUDE_CONFIG_H
#define INCLUDE_CONFIG_H
#include <qtabdialog.h>
#include <qstring.h>
#include "options.h"
#include "wwwserver.h"
#include "vulnerability.h"
#include "inventoryoptions.h"
#include "netinventory.h"
class CNetInventory;
class CCategoryTree;
class CConfig : public QTabDialog 
{
Q_OBJECT
 public:
  void  accept();
  CConfig(CWWWServer *www, QWidget *parent = 0, const char *name = 0);
  void processVulns() const { m_pInventory->processVulns(); }
  CCategoryTree *getCategoryTree() const { return m_pCategories; }
  CNetInventory *getNetInventory() const { return m_pInventory; }
  int getVulnVersion() { return m_pInventory->getVulnVersion(); }
  QString getVulnTimestamp() { return m_pInventory->getVulnTimestamp(); }
  bool anyProfiles() const { return m_pInventory->anyProfiles(); }
  // Options tab accessors
  int getNumItems() const { return m_pOptions->getNumItems(); }
  int getPollInterval() const { return m_pOptions->getPollInterval(); }
  QString getBrowserPath() const { return m_pOptions->getBrowserPath(); }
  bool getFlashIcon() const { return m_pOptions->getFlashIcon(); }
  bool getPopup() const { return m_pOptions->getPopup(); }
  bool getConfigRestart() const { return m_pOptions->getConfigRestart(); }
  void setOptionsStuff(int nItems, int nPollInterval, const QString &strBrowserPath, bool bFlash, bool bPopup, bool bRestart = true) { 
    m_pOptions->setOptionsStuff(nItems, nPollInterval, strBrowserPath, bFlash, bPopup, bRestart); }

  // inventory options tab accessors
  bool getVulnPopup() const { return m_pInventoryOptions->getVulnPopup(); }
  bool getVerboseNotify() const { return m_pInventoryOptions->getVerboseNotify(); }
  bool getBriefNotify() const { return m_pInventoryOptions->getBriefNotify(); }
  QString getVerboseEmail() const { return m_pInventoryOptions->getVerboseEmail(); }
  QString getBriefEmail() const { return m_pInventoryOptions->getBriefEmail(); }
  QString getMailer() const { return m_pInventoryOptions->getMailer(); }
  void setInventoryStuff(const QString &strVerboseEmail, const QString &strBriefEmail, const QString &strMailer, bool bPopup, bool bVerbose, bool bBrief) {
    m_pInventoryOptions->setInventoryStuff(strVerboseEmail, strBriefEmail, strMailer, bPopup, bVerbose, bBrief);
  }

  QString getChosenSkin() const { return m_pOptions->getChosenSkin(); }
  QString getSkinDirectory() const { return m_pOptions->getSkinDirectory(); }
  void setSkin(const QString &strSkin) const { m_pOptions->setSkin(strSkin); }
 protected:
  CCategoryTree *m_pCategories;
  COptions *m_pOptions;
  CNetInventory *m_pInventory;
  CInventoryOptions *m_pInventoryOptions;
  QWidget *current;
  bool verifyEmail();
protected slots:
    void slotNewTab(const QString &tabLabel);
};

#endif



