#include "customdialog.h"
#include <qlineedit.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qpushbutton.h>

CCustomDialog::CCustomDialog(QString strName, QString strKeywords, QWidget *parent)
: QDialog(parent, 0, true)
{
  QVBoxLayout *v = new QVBoxLayout(this);
  QHBoxLayout *h = new QHBoxLayout();

  QLabel *l1 = new QLabel("Name:", this);
  m_pName = new QLineEdit(strName, this);

  QLabel *l2 = new QLabel("Keywords: (seperated by commas)", this);
  m_pKeywords = new QLineEdit(strKeywords, this);
  QObject::connect(m_pName, SIGNAL(returnPressed()), m_pKeywords, SLOT(setFocus()));
  QObject::connect(m_pKeywords, SIGNAL(returnPressed()), SLOT(accept()));
  QPushButton *ok = new QPushButton("&Ok", this);
  QPushButton *cancel = new QPushButton("&Cancel", this);

  h->addStretch(2);
  h->addWidget(cancel);
  h->addWidget(ok);

  v->addWidget(l1);
  v->addWidget(m_pName);
  v->addWidget(l2);
  v->addWidget(m_pKeywords);
  v->addLayout(h);

  QObject::connect(ok, SIGNAL(clicked()), this, SLOT(accept()));
  QObject::connect(cancel, SIGNAL(clicked()), this, SLOT(reject()));

  setCaption("Custom Product Category");

  m_pName->setFocus();

  
}
  


