#include <qlayout.h>
#include <qlabel.h>
#include <qvgroupbox.h>
#include <qhgroupbox.h>
#include <qpushbutton.h>
#include <qfiledialog.h>
#include "inventoryoptions.h"

CInventoryOptions::CInventoryOptions(QWidget *parent, const char *name)
  : QWidget(parent, name)
{
  setup();
}

void CInventoryOptions::setup()
{
  QVBoxLayout *v = new QVBoxLayout(this);
  QVGroupBox *vbox = new QVGroupBox("Notification Options" ,this);
  checkPopup = new QCheckBox("&Popup Window", vbox);

  checkVerbose = new QCheckBox("&Verbose Email Notification", vbox);
  QObject::connect(checkVerbose, SIGNAL(toggled(bool)), this, SLOT(slotVerboseToggle(bool)));
  m_pEditVerbose = new QLineEdit("", vbox);

  checkBrief = new QCheckBox("&Brief Email Notification", vbox);
  QObject::connect(checkBrief, SIGNAL(toggled(bool)), this, SLOT(slotBriefToggle(bool)));
  m_pEditBrief = new QLineEdit("", vbox);

  QHGroupBox *hBox = new QHGroupBox("Mailer Command Line", this);
  m_pEditMailer = new QLineEdit("", hBox);
  QPushButton *b = new QPushButton("Browse", hBox);

  v->addWidget(vbox);
  v->addWidget(hBox);
  QObject::connect(b, SIGNAL(clicked()), this, SLOT(slotChooseMailer()));
}

void CInventoryOptions::slotVerboseToggle(bool on)
{
  m_pEditVerbose->setEnabled(on);
}

void CInventoryOptions::slotBriefToggle(bool on)
{
  m_pEditBrief->setEnabled(on);
}
void CInventoryOptions::slotChooseMailer()
{
  QString strMailer = QFileDialog::getOpenFileName("/");
  if(strMailer.isEmpty())
    return;
  m_pEditMailer->setText(strMailer);
}





