#include <qwidget.h>
#include <qstring.h>
#include <qcheckbox.h>
#include <qlineedit.h>

class CInventoryOptions : public QWidget
{
Q_OBJECT
 public:

  CInventoryOptions(QWidget *parent = 0, const char *name = 0);
  // accessors
  bool getVulnPopup() const { return checkPopup->isChecked(); }
  bool getVerboseNotify() const { return checkVerbose->isChecked(); }
  bool getBriefNotify() const { return checkBrief->isChecked(); }
  QString getVerboseEmail() const { return m_pEditVerbose->text(); }
  QString getBriefEmail() const { return m_pEditBrief->text(); }
  QString getMailer() const { return m_pEditMailer->text(); }
  void setInventoryStuff(const QString &strVerboseEmail, const QString &strBriefEmail, const QString &strMailer, bool bPopup, bool bVerbose, bool bBrief) {
    m_pEditVerbose->setText(strVerboseEmail);
    m_pEditBrief->setText(strBriefEmail);
    m_pEditMailer->setText(strMailer);
    checkPopup->setChecked(bPopup);
    checkVerbose->setChecked(bVerbose);
    slotVerboseToggle(bVerbose);
    checkBrief->setChecked(bBrief);
    slotBriefToggle(bBrief);
  };

 protected:
  void setup();
  QLineEdit *m_pEditVerbose;
  QLineEdit *m_pEditBrief;
  QLineEdit *m_pEditMailer;
  QCheckBox *checkVerbose;
  QCheckBox *checkBrief;
  QCheckBox *checkPopup;
protected slots:
  void slotVerboseToggle(bool on); 
  void slotBriefToggle(bool on);
  void slotChooseMailer();
};
