#include <qstring.h>
#include <qlist.h>
#include <qtextstream.h>
#include <qlistview.h>

class QListViewItem;
class CProductItem {
 public:
  CProductItem(QString vendor, int vid, QString product, int pid, QListViewItem *item) :
    strVendorName(vendor), nVendorID(vid), strProductName(product), nProductID(pid), pListItem(item) { }
  QString strVendorName;
  int nVendorID;
  QString strProductName;
  int nProductID;
  QListViewItem *pListItem;
};

class CNetworkEntity {
 public:
  CNetworkEntity(QString name, int index);
  ~CNetworkEntity();

  void newName(QString name) { strName = name; }
  QString  getName() const { return strName; }
  int getIndex() const { return nIndex; }
  void setIndex(int n) { nIndex = n; }
  bool addProduct(QString vendor, int vid, QString product, int pid, QListView *pList);
  void removeByItemPtr(QListViewItem *pItem);
  void removeAll(QListView *pList);
  void populateListview(QListView *pList);
  void populateEntity(QListViewItem *pListEntity);
  void populateCombined(QListView *pList);
  void saveSelf(QTextStream &t);
  bool itemExists(int vid, int pid);
  void removeByID(int vid, int pid);
  bool vulnerableByProduct(QList <int>productList);
  bool vulnerableByVendor(QList <int>vendorList);
  bool vulnerableByCustom(QList <int>productList, QListView *pVulnTree, QListView *pCustom, QString strTitle);
  void customRename(int id, QString &newName);
protected:
  bool vulnerableByKeyword(QString strWord, QList <int>productList, QListView *pVulnTree);
  QString strName;
  int nIndex;
  QList <CProductItem>m_products;
};



