#ifndef OPTIONS_H
#define OPTIONS_H
#include <qwidget.h>
#include <qstring.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qslider.h>
#include <qstringlist.h>
#include <qcombobox.h>
#include "skin.h"

class QLabel;
class COptions : public QWidget
{
Q_OBJECT
public:
  // Some constants
  static const int nMinItems = 5;
  static const int nMaxItems = 25;
  static const int nStep = 5;
  static const int nInitialItems = 5;

  static const int nMinInterval = 10;
  static const int nMaxInterval = 60;
  static const int nInitialInterval = 15;

 public:
  COptions(QWidget *parent = 0, const char *name = 0);
  QString getChosenSkin() { return skinCombo->currentText(); }
  QString getSkinDirectory() { return skinDirectories[skinCombo->currentItem()]; }
  int getNumItems() const { return nItems; }
  int getPollInterval() const { return nPollInterval; }
  bool getFlashIcon() const { return checkFlashIcon->isChecked(); }
  bool getPopup() const { return checkPopup->isChecked(); }
  bool getConfigRestart() const { return checkConfigRestart->isChecked(); }
  QString getBrowserPath() const { return m_pBrowserEdit->text(); }
  void setSkin(const QString &strSkin);
  void setOptionsStuff(int items, int interval, const QString &strBrowserPath, bool bFlash, bool bPopup, bool bRestart) { 
    
    //    slotNumItems(items); slotPollInterval(interval);
    numItemsSlider->setValue(items);
    pollIntervalSlider->setValue(interval);
    m_pBrowserEdit->setText(strBrowserPath); 
    checkFlashIcon->setChecked(bFlash);
    checkPopup->setChecked(bPopup);
    checkConfigRestart->setChecked(bRestart);
  }

 protected:
  int nItems;
  int nPollInterval;
  QLabel *numItemsLabel;
  QLabel *pollIntervalLabel;
  QLineEdit *m_pBrowserEdit;
  QCheckBox *checkFlashIcon;
  QCheckBox *checkPopup;
  QCheckBox *checkConfigRestart;
  QSlider *numItemsSlider;
  QSlider *pollIntervalSlider;
  QComboBox *skinCombo;
  QStringList skinDirectories;
  void populateSkinCombo();

  void setup();
protected slots:
  void slotNumItems(int n);
  void slotPollInterval(int n); 
  void slotChooseBrowser();
  void slotSkinChange(int);
};

#endif OPTIONS_H








