#include "pagerbutton.h"
#include <qpainter.h>
#include <qpixmap.h>
#include <iostream>

CPagerButton::CPagerButton(QWidget *parent, const char *name, WFlags f)
  : QButton(parent, name, f), pixRegular(NULL), pixActive(NULL)
{
  QObject::connect(this, SIGNAL(pressed()), SLOT(slotPressed()));
  QObject::connect(this, SIGNAL(released()), SLOT(slotReleased()));
}

CPagerButton::CPagerButton(QPixmap *pixmap, QPixmap *active, QWidget *parent, const char *name, WFlags f)
  : QButton(parent, name, f), pixRegular(pixmap), pixActive(active)
{
  setPixmap(*pixmap);
  QObject::connect(this, SIGNAL(pressed()), SLOT(slotPressed()));
  QObject::connect(this, SIGNAL(released()), SLOT(slotReleased()));
}

void CPagerButton::drawButton(QPainter *p)
{
  const QPixmap *pm = pixmap();
  if(pm)
    p->drawPixmap(0, 0, *pm);
}
void CPagerButton::slotPressed()
{
  setPixmap(*pixActive);
}

void CPagerButton::slotReleased()
{
  setPixmap(*pixRegular);
}
