#include "searchdialog.h"
#include <qlayout.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>

CSearchDialog::CSearchDialog(QWidget *parent, const char *name)
  : QDialog(parent, name, TRUE)
{
  QHBoxLayout *hlayout = new QHBoxLayout(this);
  QVBoxLayout *vlayout = new QVBoxLayout();

  QLabel *label = new QLabel("Search For:  ", this);
  m_pEdit = new QLineEdit("", this);
  QPushButton *Submit = new QPushButton("&Submit", this);
  QPushButton *Cancel = new QPushButton("&Cancel", this);
  
  QObject::connect(Submit, SIGNAL(clicked()), SLOT(accept()));
  QObject::connect(Cancel, SIGNAL(clicked()), SLOT(reject()));
  QObject::connect(m_pEdit, SIGNAL(returnPressed()), SLOT(accept()));

  vlayout->addWidget(Submit, 1);
  vlayout->addSpacing(10);
  vlayout->addWidget(Cancel, 1);
  
  hlayout->addWidget(label, 1);
  hlayout->addWidget(m_pEdit,4);
  hlayout->addStretch(1);
  hlayout->addLayout(vlayout,0);

  m_pEdit->setFocus();
  resize(350,75);
  setCaption("Search SecurityFocus.com");
}
