#ifndef SKIN_H
#define SKIN_H
#include <qstring.h>
#include <qrect.h>
#include <qpoint.h>
#include <qpixmap.h>
#include <qpushbutton.h>
class CMain;

class CSkin {
public:
  CSkin(const QString &strPath);
  static void applyNull();
  QString getName() const { return strName; }
  QRect   getMain() const { return info_main; }
  QPoint getLogo() const { return info_logo; }
  QPoint getBanner() const { return info_banner; }
  QPoint getHelp() const { return info_help; }
  QPoint getMin() const { return info_min; }
  QPoint getExit() const { return info_exit; }
  QPoint getSearch() const { return info_search; }
  QPoint getUpdate() const { return info_update; }
  QPoint getConfig() const { return info_config; }
  //  bool apply(CMain *pager);
  bool apply();

protected:
  enum GRAPHIC { BACKGROUND = 0, MASK, HELP, HELPCLICK, MIN, MINCLICK, EXIT, EXITCLICK, 
		 CONFIG, CONFIGCLICK, SEARCH, SEARCHCLICK, UPDATE, UPDATECLICK, MAXGRAPHIC };
  QString strFiles[MAXGRAPHIC];
  QPixmap *Pixmaps[MAXGRAPHIC];
  QString strPath;
  QString strName;
  QRect info_main;
  QPoint info_logo;
  QPoint info_banner;
  QPoint info_min;
  QPoint info_exit;
  QPoint info_help;
  QPoint info_search;
  QPoint info_update;
  QPoint info_config;
  bool bInitialized;
  void setupFiles();
  QPoint pair2point(const QString &strPair) const;
};

#endif  
