#ifndef WWWSERVER_H
#define WWWSERVER_H

#include <qstring.h>
#include <qmessagebox.h>
#include <qqueue.h>

class QSocket;
class QFile;

class CWWWRequest {
public:
  enum Request { R_UPDATECATEGORY, R_UPDATEVULN, R_FETCHABSTRACT, R_GETCONTENT, R_VULNPOLL, R_FETCHAD, R_FETCHADIMAGE };
  CWWWRequest(Request r, QString a) : type(r), arg(a) {}
  Request type;
  QString arg;
};

class CWWWServer : public QObject {
Q_OBJECT
 public:
  CWWWServer(const QString strServer);
  ~CWWWServer();

  static const int nServerPort = 80;
  static const char szServerName[] = "207.126.127.66";
  static const char szUpdateURL[] = "/test/bruce-thing3.html?id=31337";
  static const char szUpdateVulnURL[] = "/test/vuln_categories.html";

  void queueRequest(CWWWRequest::Request request, const QString &strArgument);
  enum State { ST_IDLE, ST_UPDATECATEGORY, ST_UPDATEVULN, ST_FETCHABSTRACT, ST_GETCONTENT, ST_VULNPOLL, ST_FETCHAD, ST_FETCHADIMAGE };
  bool isIdle() { return (state == ST_IDLE); }
  static bool xmlExtract(const QString &tag, QString &in, QString &out);
  static bool FileCopy(const QString &source, const QString &destination);
  static void removeTags(QString &str);
  static void globalReplace(QString &strBuffer, QString strReplaceThis, QString strWithThis);
 protected:
  QQueue <CWWWRequest> requestQueue;
  QString strWWWServerName;
  QString strWWWUpdateURL;
  QString strWWWUpdateVulnURL;
  QSocket *s;
  QFile *adfile;
  bool bAdGotHeader;
  bool bBusy;
  QString strBuffer;
  QString strQuery;

  State state;
  void goIdle();
  bool runQueue();
  void cleanQueue();
  void doCategoryUpdate();
  void doAbstract();
  void doContent();
  void doVulnCategoryUpdate();
  void doVuln();
  void doAd();
  void doAdImage();
protected slots:
  void slotDoConnected();
  void slotDoRead(); 
  void slotDoClose();
signals:
  void categoryUpdateDone();
  void vulnCategoryUpdateDone();
  void newAbstract(QString &abstract);
  void newContent(QString &content);
  void newVulns();
  void newAd(QString &strGif, QString &strLink);
  void newAdImage();

};

#endif // WWWSERVER_H










